GENCOLOR(1)

NAME
gencolor - output a pattern of byte values

SYNOPSIS
gencolor [-r#] [ val1 ... valN ]

DESCRIPTION
Gencolor repeats a pattern of up to 8192 8-bit values on it's standard output. The values, which range from 0 to 255, are taken either from the command line, or in binary from it's standard input. The -r flag can be used to specify the number of times to repeat the given pattern, the default being infinity. This program is useful for producing a given grey value or color. Note that gencolor will refuse to write its output to a window, you must redirect the output to a file.

EXAMPLE
gencolor -r512 0 255 0 > foo.pix
Will output 512 "green" pixels

SEE ALSO
brlcad(1), pix(5), bw(5)

AUTHOR
Phillip Dykstra

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Ballistic Research Laboratory
Aberdeen Proving Ground, Maryland 21005

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.